com.h3c.util.snmp

## Enum SnmpRequest.ErrorType

- java.lang.Object
- - java.lang.Enum<SnmpRequest.ErrorType>
  - - com.h3c.util.snmp.SnmpRequest.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpRequest.ErrorType>
  Enclosing class:
    SnmpRequest

      public static enum SnmpRequest.ErrorType
      extends Enum<SnmpRequest.ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST_INITIAL`
    `REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR`
    `REQUEST_OK`
    `REQUEST_PDU_ERROR`
    `REQUEST_TIME_OUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpRequest.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpRequest.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_INITIAL

          public static final SnmpRequest.ErrorType REQUEST_INITIAL

    - #### REQUEST_OK

          public static final SnmpRequest.ErrorType REQUEST_OK

    - #### REQUEST_TIME_OUT

          public static final SnmpRequest.ErrorType REQUEST_TIME_OUT

    - #### REQUEST_PDU_ERROR

          public static final SnmpRequest.ErrorType REQUEST_PDU_ERROR

    - #### REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR

          public static final SnmpRequest.ErrorType REQUEST_INVALID_DISCOVERY_RESPONSE_ERROR

  - ### Method Detail

    - #### values

          public static SnmpRequest.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpRequest.ErrorType c : SnmpRequest.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpRequest.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.